#pragma once
#include "item.h"
#include <maps/libs/json/include/value.h>
#include <string>
#include <set>
#include <map>
#include <vector>

namespace maps::wiki::json2ymapsdf::tds {

class Link : public Item {
public:
    Link(const json::Value& jsonLink, const std::string& objectId);
    Link(const schema::Relation& relation, const std::string& objectId);
    virtual ~Link() = default;

    const schema::Relation& relation() const { return relation_; }

private:
    const schema::Relation& relation_;
};

} // namespace maps::wiki::json2ymapsdf::tds
